package com.goldenwater.slaj.acci.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.acci.domain.SawfAcci;

/**
 * 事故共享信息 数据层
 */
@Mapper
public interface SawfAcciMapper {

    /**
     * 查询事故共享信息
     * @param guid 查询条件
     * @return 事故共享信息
     */
    SawfAcci selectSawfAcciByGuid(String guid);

    /**
     * 查询事故共享信息列表
     * @param sawfAcci 事故共享信息查询条件
     * @return 事故共享信息集合
     */
    List<SawfAcci> selectSawfAcciList(SawfAcci sawfAcci);

    /**
     * 新增事故共享信息
     * @param sawfAcci 事故共享信息
     * @return 影响行数
     */
    int insertSawfAcci(SawfAcci sawfAcci);

    /**
     * 修改事故共享信息
     * @param sawfAcci 事故共享信息
     * @return 影响行数
     */
    int updateSawfAcci(SawfAcci sawfAcci);

    /**
     * 删除事故共享信息
     * @param guid 事故共享信息主键
     * @return 影响行数
     */
    int deleteSawfAcciByGuid(String guid);

    /**
     * 批量删除事故共享信息
     * @param guids 事故共享信息主键数组
     * @return 影响行数
     */
    int deleteSawfAcciByGuids(String[] guids);
}
